Bug 458657 - Crash in hal_pool_find_by_capability
Crash in hal_pool_find_by_capability
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
9
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 08:15 EDT by c.h.
Modified: 2015-03-03 17:33 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:21:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Every available text output from most recent crash 2008-09-10-21-28 (10.95 KB, text/plain)
2008-09-11 00:33 EDT, c. h.
no flags Details
Every available screenshot output from most recent crash 2008-09-10-21-28 (241.95 KB, image/png)
2008-09-11 00:34 EDT, c. h.
no flags Details
2008-09-11-16-00-000 textual information relating to crash (24.51 KB, text/plain)
2008-09-11 19:37 EDT, c. h.
no flags Details
2008-09-11-16-00-000-Screenshot-A.png (68.27 KB, image/png)
2008-09-11 19:39 EDT, c. h.
no flags Details
2008-09-11-16-00-000-Screenshot-B.png (72.14 KB, image/png)
2008-09-11 20:04 EDT, c. h.
no flags Details
2008-09-11-16-00-000-Screenshot-C.png (98.35 KB, image/png)
2008-09-11 20:04 EDT, c. h.
no flags Details
2008-09-12-22-40 textual information relating to crash (41.23 KB, text/plain)
2008-09-13 02:26 EDT, c. h.
no flags Details
2008-09-12-22-40 images of debugger information relating to crash (59.55 KB, image/png)
2008-09-13 02:28 EDT, c. h.
no flags Details
2008-09-12-22-40 images of debugger information relating to crash Screenshot-B (75.64 KB, image/png)
2008-09-13 02:29 EDT, c. h.
no flags Details
2008-09-12-22-40 images of debugger information relating to crash Screenshot-C (75.23 KB, image/png)
2008-09-13 02:29 EDT, c. h.
no flags Details
2008-09-12-22-40 images of debugger information relating to crash Screenshot-D (83.41 KB, image/png)
2008-09-13 02:30 EDT, c. h.
no flags Details
2008-09-14-12-30 textual information relating to crash (24.69 KB, text/plain)
2008-09-14 04:10 EDT, c. h.
no flags Details
2008-09-14-12-30 images of debugger information relating to crash Screenshot-A (138.49 KB, image/png)
2008-09-14 04:56 EDT, c. h.
no flags Details
2008-09-14-12-30 images of debugger information relating to crash Screenshot-B (70.65 KB, image/png)
2008-09-14 04:57 EDT, c. h.
no flags Details
2008-09-14-12-30 images of debugger information relating to crash Screenshot-C (71.19 KB, image/png)
2008-09-14 04:57 EDT, c. h.
no flags Details
2008-09-14-12-30 images of debugger information relating to crash Screenshot-D (61.14 KB, image/png)
2008-09-14 04:58 EDT, c. h.
no flags Details
2008-09-14-20-38 textual information relating to crash (21.73 KB, text/plain)
2008-09-15 08:01 EDT, c. h.
no flags Details
2008-09-14-20-38-images of debugger information relating to crash Screenshot-A (47.12 KB, image/png)
2008-09-15 08:38 EDT, c. h.
no flags Details
2008-09-14-20-38-images of debugger information relating to crash Screenshot-B (109.46 KB, image/png)
2008-09-15 08:38 EDT, c. h.
no flags Details
2008-09-14-20-38-images of debugger information relating to crash Screenshot-C (114.51 KB, image/png)
2008-09-15 08:39 EDT, c. h.
no flags Details
2008-09-14-20-38-images of debugger information relating to crash Screenshot-D (109.22 KB, image/png)
2008-09-15 08:40 EDT, c. h.
no flags Details
2008-09-14-20-38-images of debugger information relating to crash Screenshot-E (76.46 KB, image/png)
2008-09-15 08:41 EDT, c. h.
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 458092 None None None Never
FreeDesktop.org 20254 None None None Never

  None (edit)
Description c.h. 2008-08-11 08:15:58 EDT
Description of problem:

Firefox crashes frequently, as often as every few minutes during heavy use.

Version-Release number of selected component (if applicable):

xulrunner-1.9.0.1-1.fc9.x86_64
xulrunner-devel-1.9.0.1-1.fc9.x86_64
xulrunner-debuginfo-1.9.0.1-1.fc9.x86_64
firefox-debuginfo-3.0.1-1.fc9.x86_64
firefox-3.0.1-1.fc9.x86_64
mozilla-filesystem-1.9-2.fc9.x86_64
gstreamer-plugins-base-0.10.19-2.fc9.x86_64
alsa-plugins-pulseaudio-1.0.16-4.fc9.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-0.16.b09.fc9.x86_64
totem-mozplugin-2.23.2-5.fc9.x86_64
gstreamer-plugins-good-0.10.8-8.fc9.x86_64
gstreamer-plugins-flumpegdemux-0.10.15-2.fc9.x86_64
nspluginwrapper-1.1.0-5.fc9.x86_64
setroubleshoot-plugins-2.0.4-5.fc9.noarch
gstreamer-plugins-pulse-0.9.5-0.5.svn20070924.fc9.x86_64


How reproducible:

It happens extremely often during normal use, though I have yet to set up a VM / UI automation test to reproduce the exact same error on demand for debugging purposes.


Steps to Reproduce:
1. Fedora 9 X86-64 + Q6600-G0 quad core CPU + Firefox + latest updates for everything.
2. It is typical that I'll have perhaps 50-90 Windows of FF open, and from 1-60 tabs open per window.  I've seen it crash with much less, but it is almost assured to be flaky under those circumstances.
3. I don't have any significant 3rd party plugins enabled, no flash, just the ones that are standard for Fedora9 + Firefox.
I typically run with a few of the most popular add-on extensions like 
noscript 1.7.8, sessionmanager 0.6.1.13, Adblock Plus 0.7.5.5.
I don't assume these have anything to do with it, because often the browser
will crash when things are pretty static in the browser and I'm just doing something like scrolling up/down a page or opening a new tab or hitting reload on an already loaded page.
I will try to get better backtrace info., but FWIW here is what I've got so far
in attached files.  According to messages in the debug log, I've tried running
it also with the --sync parameter on the command line and FWIW it hasn't crashed in an hour or two which may be significant, or which may be coincidental.  I'm able to repeat pretty similar crashes according to ddd, so I think there is some failure mechanism involving X / firefox / multiple threads / multiple CPU cores that really happens often.  The system has 8GB RAM, with usually less than 5GB in use, so it shouldn't be a resource issue FWIW.
The session restoration after crash feature is about the only thing that keeps me even trying to use FF under LINUX, though the problem is so bad that often it will crash even before it has finished reloading all the stuff I had open the last time it crashed.  Periods during the time page(s) are actually in the process of loading are especially vulnerable.  I don't even dare to scroll or switch tabs or such things in this case since crashes are very common in such cases.

  
Actual results:


Expected results:


Additional info:

 rpm -qa '*xulrun*' ; rpm -qa '*firefox*' ; rpm -qa '*mozilla*' ; rpm -qa '*flash*' ; rpm -qa '*plugin*'
xulrunner-1.9.0.1-1.fc9.x86_64
xulrunner-devel-1.9.0.1-1.fc9.x86_64
xulrunner-debuginfo-1.9.0.1-1.fc9.x86_64
firefox-debuginfo-3.0.1-1.fc9.x86_64
firefox-3.0.1-1.fc9.x86_64
mozilla-filesystem-1.9-2.fc9.x86_64
gstreamer-plugins-base-0.10.19-2.fc9.x86_64
alsa-plugins-pulseaudio-1.0.16-4.fc9.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-0.16.b09.fc9.x86_64
totem-mozplugin-2.23.2-5.fc9.x86_64
gstreamer-plugins-good-0.10.8-8.fc9.x86_64
gstreamer-plugins-flumpegdemux-0.10.15-2.fc9.x86_64
nspluginwrapper-1.1.0-5.fc9.x86_64
setroubleshoot-plugins-2.0.4-5.fc9.noarch
gstreamer-plugins-pulse-0.9.5-0.5.svn20070924.fc9.x86_64
Comment 1 c.h. 2008-08-11 08:22:42 EDT
Here are the first couple of attempts at getting debugger information on
the problem, they both indicate similar X window system errors of BadIDChoice,
so I have to assume I may be likely to be  encountering some similar 
error circumstance.

I'll keep working on getting more debug information.
So far it hasn't crashed on me when I run:
firefox -g --sync -d ddd
and give the program launch menu in DDD command arguments of:
-g --sync

Maybe the --sync is improving stability here.  I wouldn't be surprised if this
was some kind of race condition or something since it is a quad core CPU and it
happens often when there's some UI action or multiple browser window reload events going on.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

GNU DDD 3.3.11 (x86_64-redhat-linux-gnu), by Dorothea Lütkehaus and Andreas Zeller.
Copyright © 1995-1999 Technische Universität Braunschweig, Germany.
Copyright © 1999-2001 Universität Passau, Germany.
Copyright © 2001 Universität des Saarlandes, Germany.
Copyright © 2001-2004 Free Software Foundation, Inc.
Missing separate debuginfo for /usr/lib64/firefox-3.0/firefox
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/bd/4add19fe7099bd2a5bb6bbff5888b8e1cf4df7.debug
(no debugging symbols found)
(gdb) set args
(gdb) run
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[New Thread 0x7fec38ce6700 (LWP 5349)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[New Thread 0x41054950 (LWP 5352)]
[New Thread 0x427f7950 (LWP 5353)]
[New Thread 0x431f8950 (LWP 5354)]
[New Thread 0x41a55950 (LWP 5355)]
[New Thread 0x43bf9950 (LWP 5356)]
[New Thread 0x445fa950 (LWP 5357)]
[Thread 0x445fa950 (LWP 5357) exited]
[New Thread 0x445fa950 (LWP 5360)]
[New Thread 0x44ffb950 (LWP 5409)]
[New Thread 0x459fc950 (LWP 5470)]
[Thread 0x431f8950 (LWP 5354) exited]
[New Thread 0x463fd950 (LWP 5477)]
[Thread 0x459fc950 (LWP 5470) exited]
[New Thread 0x459fc950 (LWP 5516)]
[Thread 0x463fd950 (LWP 5477) exited]
[New Thread 0x463fd950 (LWP 5594)]
[Thread 0x459fc950 (LWP 5516) exited]
[Thread 0x44ffb950 (LWP 5409) exited]
[New Thread 0x459fc950 (LWP 5615)]
[Thread 0x459fc950 (LWP 5615) exited]
[New Thread 0x459fc950 (LWP 5668)]
[Thread 0x459fc950 (LWP 5668) exited]
[New Thread 0x459fc950 (LWP 6163)]
[Thread 0x459fc950 (LWP 6163) exited]
[Thread 0x463fd950 (LWP 5594) exited]
[New Thread 0x463fd950 (LWP 7513)]
[Thread 0x463fd950 (LWP 7513) exited]
[New Thread 0x463fd950 (LWP 9625)]
[New Thread 0x459fc950 (LWP 9852)]
[Thread 0x463fd950 (LWP 9625) exited]
[Thread 0x459fc950 (LWP 9852) exited]
[New Thread 0x459fc950 (LWP 10203)]
The program 'firefox' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadIDChoice (invalid resource ID chosen for this connection)'.
  (Details: serial 13801711 error_code 14 request_code 152 minor_code 4)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
[Thread 0x459fc950 (LWP 10203) exited]
[Thread 0x43bf9950 (LWP 5356) exited]
[Thread 0x445fa950 (LWP 5360) exited]
[Thread 0x41a55950 (LWP 5355) exited]
[Thread 0x427f7950 (LWP 5353) exited]
[Thread 0x41054950 (LWP 5352) exited]

Program exited with code 01.
Missing separate debuginfos, use: debuginfo-install GConf2.x86_64 ORBit2.x86_64 acl.x86_64 alsa-lib.x86_64 atk.x86_64 attr.x86_64 audiofile.x86_64 avahi.x86_64 bug-buddy.x86_64 bzip2.x86_64 cairo.x86_64 dbus-glib.x86_64 dbus.x86_64 e2fsprogs.x86_64 elfutils.x86_64 esound.x86_64 expat.x86_64 fontconfig.x86_64 freetype.x86_64 gail.x86_64 gamin.x86_64 gcc.x86_64 glib2.x86_64 glibc.x86_64 gnome-keyring.x86_64 gnome-vfs2.x86_64 gtk-nodoka-engine.x86_64 gtk2.x86_64 hunspell.x86_64 keyutils.x86_64 krb5.x86_64 lcms.x86_64 libICE.x86_64 libSM.x86_64 libX11.x86_64 libXScrnSaver.x86_64 libXau.x86_64 libXcomposite.x86_64 libXcursor.x86_64 libXdmcp.x86_64 libXext.x86_64 libXfixes.x86_64 libXft.x86_64 libXi.x86_64 libXinerama.x86_64 libXrandr.x86_64 libXrender.x86_64 libXt.x86_64 libart_lgpl.x86_64 libbonobo.x86_64 libbonoboui.x86_64 libcap.x86_64 libcroco.x86_64 libgnome.x86_64 libgnomecanvas.x86_64 libgnomeui.x86_64 libgsf.x86_64 libjpeg.x86_64 libpng.x86_64 librsvg2.x86_64 libselinux.x86_64 libthai.x86_64 libxcb.x86_64 libxml2.x86_64 nspr.x86_64 nss.x86_64 openssl.x86_64 pango.x86_64 pixman.x86_64 popt.x86_64 sqlite.x86_64 startup-notification.x86_64 xulrunner.x86_64 zlib.x86_64
(gdb)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
GNU DDD 3.3.11 (x86_64-redhat-linux-gnu), by Dorothea Lütkehaus and Andreas Zeller.
Copyright © 1995-1999 Technische Universität Braunschweig, Germany.
Copyright © 1999-2001 Universität Passau, Germany.
Copyright © 2001 Universität des Saarlandes, Germany.
Copyright © 2001-2004 Free Software Foundation, Inc.
(no debugging symbols found)
Missing separate debuginfos, use: debuginfo-install firefox.x86_64
(gdb) set args
(gdb) run
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[New Thread 0x7f7932195700 (LWP 20803)]
warning: the debug information found in "/usr/lib/debug//usr/lib64/xulrunner-1.9/libmozjs.so.debug" does not match "/usr/lib64/xulrunner-1.9/libmozjs.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64/xulrunner-1.9/libmozjs.so.debug" does not match "/usr/lib64/xulrunner-1.9/libmozjs.so" (CRC mismatch).

(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
warning: the debug information found in "/usr/lib/debug//usr/lib64/xulrunner-1.9/libxul.so.debug" does not match "/usr/lib64/xulrunner-1.9/libxul.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64/xulrunner-1.9/libxul.so.debug" does not match "/usr/lib64/xulrunner-1.9/libxul.so" (CRC mismatch).

(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
warning: the debug information found in "/usr/lib/debug//usr/lib64/xulrunner-1.9/libxpcom.so.debug" does not match "/usr/lib64/xulrunner-1.9/libxpcom.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64/xulrunner-1.9/libxpcom.so.debug" does not match "/usr/lib64/xulrunner-1.9/libxpcom.so" (CRC mismatch).

(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[New Thread 0x41b3e950 (LWP 20806)]
warning: the debug information found in "/usr/lib/debug//usr/lib64/xulrunner-1.9/components/libdbusservice.so.debug" does not match "/usr/lib64/xulrunner-1.9/components/libdbusservice.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64/xulrunner-1.9/components/libdbusservice.so.debug" does not match "/usr/lib64/xulrunner-1.9/components/libdbusservice.so" (CRC mismatch).

(no debugging symbols found)
(no debugging symbols found)
[New Thread 0x428ab950 (LWP 20807)]
[New Thread 0x432ac950 (LWP 20808)]
(no debugging symbols found)
[New Thread 0x40e22950 (LWP 20809)]
[New Thread 0x43cad950 (LWP 20810)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
warning: the debug information found in "/usr/lib/debug//usr/lib64/xulrunner-1.9/components/libimgicon.so.debug" does not match "/usr/lib64/xulrunner-1.9/components/libimgicon.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64/xulrunner-1.9/components/libimgicon.so.debug" does not match "/usr/lib64/xulrunner-1.9/components/libimgicon.so" (CRC mismatch).

(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[New Thread 0x446ae950 (LWP 20812)]
warning: the debug information found in "/usr/lib/debug//usr/lib64/xulrunner-1.9/components/libmozgnome.so.debug" does not match "/usr/lib64/xulrunner-1.9/components/libmozgnome.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64/xulrunner-1.9/components/libmozgnome.so.debug" does not match "/usr/lib64/xulrunner-1.9/components/libmozgnome.so" (CRC mismatch).

(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[New Thread 0x450af950 (LWP 21011)]
[New Thread 0x45ab0950 (LWP 21025)]
[New Thread 0x464b1950 (LWP 21028)]
[New Thread 0x46eb2950 (LWP 21030)]
[New Thread 0x478b3950 (LWP 21031)]
[New Thread 0x482b4950 (LWP 21032)]
[New Thread 0x48cb5950 (LWP 21033)]
[New Thread 0x496b6950 (LWP 21034)]
[Thread 0x432ac950 (LWP 20808) exited]
[New Thread 0x4a0b7950 (LWP 21050)]
[Thread 0x450af950 (LWP 21011) exited]
(no debugging symbols found)
[Thread 0x45ab0950 (LWP 21025) exited]
[Thread 0x46eb2950 (LWP 21030) exited]
[Thread 0x478b3950 (LWP 21031) exited]
[Thread 0x482b4950 (LWP 21032) exited]
[Thread 0x48cb5950 (LWP 21033) exited]
[Thread 0x496b6950 (LWP 21034) exited]
[New Thread 0x432ac950 (LWP 21093)]
[New Thread 0x450af950 (LWP 21104)]
[Thread 0x432ac950 (LWP 21093) exited]
[Thread 0x450af950 (LWP 21104) exited]
[Thread 0x464b1950 (LWP 21028) exited]
[New Thread 0x464b1950 (LWP 21298)]
[Thread 0x464b1950 (LWP 21298) exited]
[New Thread 0x464b1950 (LWP 21413)]
[Thread 0x4a0b7950 (LWP 21050) exited]
[New Thread 0x4a0b7950 (LWP 21557)]
(no debugging symbols found)
(no debugging symbols found)
[New Thread 0x432ac950 (LWP 21589)]
[Thread 0x464b1950 (LWP 21413) exited]
[New Thread 0x450af950 (LWP 21592)]
[New Thread 0x45ab0950 (LWP 21593)]
[Thread 0x4a0b7950 (LWP 21557) exited]
[Thread 0x450af950 (LWP 21592) exited]
[Thread 0x432ac950 (LWP 21589) exited]
[New Thread 0x464b1950 (LWP 21658)]
[Thread 0x464b1950 (LWP 21658) exited]
[Thread 0x45ab0950 (LWP 21593) exited]
[New Thread 0x45ab0950 (LWP 23077)]
[Thread 0x45ab0950 (LWP 23077) exited]
[New Thread 0x45ab0950 (LWP 24169)]
[New Thread 0x464b1950 (LWP 24189)]
[Thread 0x45ab0950 (LWP 24169) exited]
[New Thread 0x45ab0950 (LWP 24212)]
[Thread 0x464b1950 (LWP 24189) exited]
[New Thread 0x4a0b7950 (LWP 24214)]
[New Thread 0x432ac950 (LWP 24215)]
[New Thread 0x450af950 (LWP 24216)]
[Thread 0x45ab0950 (LWP 24212) exited]
[Thread 0x4a0b7950 (LWP 24214) exited]
[Thread 0x432ac950 (LWP 24215) exited]
The program 'firefox' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadIDChoice (invalid resource ID chosen for this connection)'.
  (Details: serial 8982682 error_code 14 request_code 152 minor_code 4)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
[Thread 0x450af950 (LWP 24216) exited]
[Thread 0x446ae950 (LWP 20812) exited]
[Thread 0x43cad950 (LWP 20810) exited]
[Thread 0x40e22950 (LWP 20809) exited]
[Thread 0x428ab950 (LWP 20807) exited]
[Thread 0x41b3e950 (LWP 20806) exited]

Program exited with code 01.
(gdb) Quit
(gdb) 

$ firefox -g -d ddd
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.0.1
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1/plugins:/usr/lib64/firefox-3.0.1
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.0.1/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1
     LIBRARY_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1/components:/usr/lib64/firefox-3.0.1
       SHLIB_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1
          LIBPATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1
       ADDON_PATH=/usr/lib64/firefox-3.0.1
      MOZ_PROGRAM=/usr/lib64/firefox-3.0.1/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=ddd
/usr/bin/ddd --debugger "gdb -x /tmp/mozargs.bIy83m" /usr/lib64/firefox-3.0.1/firefox
Warning: XmStringGetNextComponent: unknown type 43748064

(Annoyed?  Try 'Edit->Preferences->General->Suppress X Warnings'!)
Warning: XmStringGetNextComponent: unknown type 43749392

Warning: XmStringGetNextComponent: unknown type 43750208

Warning: XmStringGetNextComponent: unknown type 43752864

Warning: XmStringGetNextComponent: unknown type 43750528

Warning: XmStringGetNextComponent: unknown type 43733376

Warning: XmStringGetNextComponent: unknown type 43776112

Warning: XmStringGetNextComponent: unknown type 43767136





~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 2 c.h. 2008-08-11 08:37:51 EDT
Looks like I'm not alone; I've also seen frequent crashes on a Ubuntu 8.04.1
box also with a quad core CPU, and doing some google searches for 
BadIDChoice +firefox gives several similar complaints over the past year:

https://bugs.launchpad.net/ubuntu/+source/firefox-3.0/+bug/255195
https://lists.ubuntu.com/archives/ubuntu-mozillateam-bugs/2007-May/013808.html
https://lists.ubuntu.com/archives/ubuntu-mozillateam-bugs/2008-April/037273.html
http://www.mail-archive.com/ubuntu-bugs@lists.ubuntu.com/msg939235.html
Comment 3 c.h. 2008-08-11 11:49:03 EDT
Another crash; was NOT running --sync, still working on getting enough debuginfo programs installed to breakpoint gdk_x_error() as the debugger suggested.
Because of --sync not in use, I don't know if the backtrace printed on ddd's stdout (not on a ddd window, but in the xterm that launched it) is meaningful or not.  I didn't even realize it was there until I was about to close DDD.
I assume it was generated at the time of the crash...
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[New Thread 0x42f71950 (LWP 9993)]
[Thread 0x42f71950 (LWP 9993) exited]
[New Thread 0x42f71950 (LWP 10036)]
The program 'firefox' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadIDChoice (invalid resource ID chosen for this connection)'.
  (Details: serial 11239858 error_code 14 request_code 55 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
[Thread 0x41119950 (LWP 4169) exited]
[Thread 0x42f71950 (LWP 10036) exited]
[Thread 0x44373950 (LWP 4166) exited]
[Thread 0x42570950 (LWP 4163) exited]
[Thread 0x41b6f950 (LWP 4162) exited]
[Thread 0x43972950 (LWP 4165) exited]

Program exited with code 01.
(gdb) thread apply all backtrace
No registers.
(gdb) 

$ ~/bin/fdebug.sh
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.0.1
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1/plugins:/usr/lib64/firefox-3.0.1
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.0.1/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1
     LIBRARY_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1/components:/usr/lib64/firefox-3.0.1
       SHLIB_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1
          LIBPATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1
       ADDON_PATH=/usr/lib64/firefox-3.0.1
      MOZ_PROGRAM=/usr/lib64/firefox-3.0.1/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=ddd
/usr/bin/ddd --debugger "gdb -x /tmp/mozargs.yO09v7" /usr/lib64/firefox-3.0.1/firefox
Warning: XmStringGetNextComponent: unknown type 22711088

(Annoyed?  Try 'Edit->Preferences->General->Suppress X Warnings'!)
Warning: XmStringGetNextComponent: unknown type 22710992

Warning: XmStringGetNextComponent: unknown type 19785968

Warning: XmStringGetNextComponent: unknown type 22708992

Warning: XmStringGetNextComponent: unknown type 19787008

Warning: XmStringGetNextComponent: unknown type 22867472

Warning: XmStringGetNextComponent: unknown type 22846912

Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XCheckIfEvent+0x79) [0x37bee1e799]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#8 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XCheckIfEvent+0x152) [0x37bee1e872]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#5 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6 [0x37bee4cd4f]
#4 /usr/lib64/libX11.so.6 [0x37bee4d0c5]
#5 /usr/lib64/libX11.so.6(XIfEvent+0x94) [0x37bee2bb04]
#6 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#7 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#8 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#9 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#10 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#11 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#12 /usr/lib64/libXt.so.6 [0x37ce24c478]
#13 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#14 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#15 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#16 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#17 /usr/bin/ddd [0x4167f2]
#18 /usr/bin/ddd [0x4d6685]
#19 /usr/bin/ddd [0x42624d]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XIfEvent+0xe0) [0x37bee2bb50]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#5 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XCheckIfEvent+0x79) [0x37bee1e799]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#8 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XCheckIfEvent+0x152) [0x37bee1e872]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#5 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6 [0x37bee4cd4f]
#4 /usr/lib64/libX11.so.6 [0x37bee4d0c5]
#5 /usr/lib64/libX11.so.6(XIfEvent+0x94) [0x37bee2bb04]
#6 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#7 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#8 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#9 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#10 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#11 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#12 /usr/lib64/libXt.so.6 [0x37ce24c478]
#13 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#14 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#15 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#16 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#17 /usr/bin/ddd [0x4167f2]
#18 /usr/bin/ddd [0x4d6685]
#19 /usr/bin/ddd [0x42624d]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XIfEvent+0xe0) [0x37bee2bb50]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#5 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 4 c.h. 2008-08-13 11:20:07 EDT
Another crash log/backtrace

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
$ clear ; date ; ~/bin/fdebug.sh
firefox -g --sync -d ddd

Mon Aug 11 09:11:32 PDT 2008
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.0.1
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1/plugins:/usr/lib64/firefox-3.0.1
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.0.1/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1
     LIBRARY_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1/components:/usr/lib64/firefox-3.0.1
       SHLIB_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1
          LIBPATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1
       ADDON_PATH=/usr/lib64/firefox-3.0.1
      MOZ_PROGRAM=/usr/lib64/firefox-3.0.1/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=ddd
/usr/bin/ddd --debugger "gdb -x /tmp/mozargs.wZuoDf" /usr/lib64/firefox-3.0.1/firefox
Warning: XmStringGetNextComponent: unknown type 45075360

(Annoyed?  Try 'Edit->Preferences->General->Suppress X Warnings'!)
Warning: XmStringGetNextComponent: unknown type 45076928

Warning: XmStringGetNextComponent: unknown type 45073072

Warning: XmStringGetNextComponent: unknown type 45072880

Warning: XmStringGetNextComponent: unknown type 42904544

Warning: XmStringGetNextComponent: unknown type 45102304

Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XCheckIfEvent+0x79) [0x37bee1e799]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#8 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XCheckIfEvent+0x152) [0x37bee1e872]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#5 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6 [0x37bee4cd4f]
#4 /usr/lib64/libX11.so.6 [0x37bee4d0c5]
#5 /usr/lib64/libX11.so.6(XIfEvent+0x94) [0x37bee2bb04]
#6 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#7 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#8 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#9 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#10 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#11 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#12 /usr/lib64/libXt.so.6 [0x37ce24c478]
#13 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#14 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#15 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#16 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#17 /usr/bin/ddd [0x4167f2]
#18 /usr/bin/ddd [0x4d6685]
#19 /usr/bin/ddd [0x42624d]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XIfEvent+0xe0) [0x37bee2bb50]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#5 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XCheckIfEvent+0x79) [0x37bee1e799]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#8 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XCheckIfEvent+0x152) [0x37bee1e872]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#5 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6 [0x37bee4cd4f]
#4 /usr/lib64/libX11.so.6 [0x37bee4d0c5]
#5 /usr/lib64/libX11.so.6(XIfEvent+0x94) [0x37bee2bb04]
#6 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#7 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#8 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#9 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#10 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#11 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#12 /usr/lib64/libXt.so.6 [0x37ce24c478]
#13 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#14 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#15 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#16 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#17 /usr/bin/ddd [0x4167f2]
#18 /usr/bin/ddd [0x4d6685]
#19 /usr/bin/ddd [0x42624d]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XIfEvent+0xe0) [0x37bee2bb50]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#5 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]

GNU DDD 3.3.11 (x86_64-redhat-linux-gnu), by Dorothea Lütkehaus and Andreas Zeller.
Copyright © 1995-1999 Technische Universität Braunschweig, Germany.
Copyright © 1999-2001 Universität Passau, Germany.
Copyright © 2001 Universität des Saarlandes, Germany.
Copyright © 2001-2004 Free Software Foundation, Inc.
(gdb) break gdk_x_error
Function "gdk_x_error" not defined.
(gdb) break gdk_x_error()
Function "gdk_x_error()" not defined.
(gdb) run
[Thread debugging using libthread_db enabled]
[New Thread 0x7f90af250700 (LWP 14883)]
[New Thread 0x420a8950 (LWP 14886)]
[New Thread 0x42aa9950 (LWP 14887)]
[New Thread 0x434aa950 (LWP 14888)]
[New Thread 0x43eab950 (LWP 14889)]
[New Thread 0x448ac950 (LWP 14890)]
^C
Program received signal SIGINT, Interrupt.
0x00000037bcada9f6 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
/usr/src/debug/glibc-20080412T0741/sysdeps/unix/sysv/linux/poll.c:87:2307:beg:0x37bcada9f6
Current language:  auto; currently c
Missing separate debuginfos, use: debuginfo-install alsa-lib.x86_64 avahi.x86_64 bug-buddy.x86_64 dbus-glib.x86_64 dbus.x86_64 elfutils.x86_64 gcc.x86_64 hunspell.x86_64 keyutils.x86_64 lcms.x86_64 libXScrnSaver.x86_64 libcap.x86_64 libselinux.x86_64 openssl.x86_64
break gdk_x_error()
Function "gdk_x_error()" not defined.
(gdb) cont
(gdb) [Thread 0x434aa950 (LWP 14888) exited]
[New Thread 0x434aa950 (LWP 14939)]
[New Thread 0x452ad950 (LWP 14940)]
[Thread 0x452ad950 (LWP 14940) exited]
[New Thread 0x452ad950 (LWP 14942)]
^C
Program received signal SIGINT, Interrupt.
0x00000037bcadcc02 in select () from /lib64/libc.so.6
(gdb) break gdk_x_error()
Function "gdk_x_error()" not defined.
(gdb) cont
[New Thread 0x45cae950 (LWP 15118)]
[Thread 0x434aa950 (LWP 14939) exited]
[New Thread 0x40afe950 (LWP 15152)]
[New Thread 0x466af950 (LWP 15153)]
[Thread 0x45cae950 (LWP 15118) exited]
[Thread 0x40afe950 (LWP 15152) exited]
[New Thread 0x45cae950 (LWP 15210)]
[New Thread 0x40afe950 (LWP 15217)]
[New Thread 0x434aa950 (LWP 15234)]
[New Thread 0x470b0950 (LWP 15241)]
[Thread 0x466af950 (LWP 15153) exited]
[Thread 0x40afe950 (LWP 15217) exited]
[Thread 0x434aa950 (LWP 15234) exited]
^C
Program received signal SIGINT, Interrupt.
0x00000037d5e31183 in nsXPConnect::Release (this=<value optimized out>) at nsXPConnect.cpp:55
/usr/src/debug/xulrunner-1.9.0.1/mozilla/js/src/xpconnect/src/nsXPConnect.cpp:55:2254:beg:0x37d5e31183
Current language:  auto; currently c++
Missing separate debuginfos, use: debuginfo-install acl.x86_64 attr.x86_64 gamin.x86_64
break gdk_x_error()
Function "gdk_x_error()" not defined.
(gdb) cont
(gdb) [Thread 0x45cae950 (LWP 15210) exited]
[New Thread 0x45cae950 (LWP 15476)]
[Thread 0x470b0950 (LWP 15241) exited]
[New Thread 0x470b0950 (LWP 15548)]
[Thread 0x45cae950 (LWP 15476) exited]
[New Thread 0x45cae950 (LWP 15651)]
[New Thread 0x466af950 (LWP 15652)]
[New Thread 0x40afe950 (LWP 15660)]
[New Thread 0x434aa950 (LWP 15661)]
[Thread 0x45cae950 (LWP 15651) exited]
[Thread 0x470b0950 (LWP 15548) exited]
[Thread 0x40afe950 (LWP 15660) exited]
[Thread 0x434aa950 (LWP 15661) exited]
[New Thread 0x45cae950 (LWP 15737)]
[Thread 0x466af950 (LWP 15652) exited]
[New Thread 0x466af950 (LWP 15864)]
[Thread 0x466af950 (LWP 15864) exited]
[New Thread 0x466af950 (LWP 15918)]
[Thread 0x45cae950 (LWP 15737) exited]
[New Thread 0x45cae950 (LWP 15946)]
[New Thread 0x470b0950 (LWP 15947)]
[Thread 0x45cae950 (LWP 15946) exited]
[Thread 0x466af950 (LWP 15918) exited]
[Thread 0x470b0950 (LWP 15947) exited]
[New Thread 0x470b0950 (LWP 17527)]
[Thread 0x470b0950 (LWP 17527) exited]
[New Thread 0x470b0950 (LWP 18617)]
[Thread 0x470b0950 (LWP 18617) exited]
[New Thread 0x470b0950 (LWP 19527)]
[Thread 0x470b0950 (LWP 19527) exited]
[New Thread 0x470b0950 (LWP 21674)]
[Thread 0x470b0950 (LWP 21674) exited]
[New Thread 0x470b0950 (LWP 21716)]
[Thread 0x470b0950 (LWP 21716) exited]
[New Thread 0x470b0950 (LWP 21760)]
[Thread 0x470b0950 (LWP 21760) exited]
[New Thread 0x470b0950 (LWP 21768)]
[Thread 0x470b0950 (LWP 21768) exited]
[New Thread 0x470b0950 (LWP 21779)]
[Thread 0x470b0950 (LWP 21779) exited]
[New Thread 0x470b0950 (LWP 21790)]
[New Thread 0x45cae950 (LWP 21791)]
[Thread 0x470b0950 (LWP 21790) exited]
[Thread 0x45cae950 (LWP 21791) exited]
[New Thread 0x45cae950 (LWP 21794)]
[Thread 0x45cae950 (LWP 21794) exited]
[New Thread 0x45cae950 (LWP 21944)]
[Thread 0x45cae950 (LWP 21944) exited]
[New Thread 0x45cae950 (LWP 22081)]
[Thread 0x45cae950 (LWP 22081) exited]
[New Thread 0x45cae950 (LWP 22276)]
[Thread 0x45cae950 (LWP 22276) exited]
[New Thread 0x45cae950 (LWP 24495)]
[Thread 0x45cae950 (LWP 24495) exited]
[New Thread 0x45cae950 (LWP 24819)]
[Thread 0x45cae950 (LWP 24819) exited]
[New Thread 0x45cae950 (LWP 24855)]
[Thread 0x45cae950 (LWP 24855) exited]
[New Thread 0x45cae950 (LWP 25069)]
[Thread 0x45cae950 (LWP 25069) exited]
[New Thread 0x45cae950 (LWP 25710)]
[New Thread 0x470b0950 (LWP 25760)]
[Thread 0x45cae950 (LWP 25710) exited]
[Thread 0x470b0950 (LWP 25760) exited]
[New Thread 0x470b0950 (LWP 26068)]
[Thread 0x470b0950 (LWP 26068) exited]
[New Thread 0x470b0950 (LWP 26095)]
[Thread 0x470b0950 (LWP 26095) exited]
[New Thread 0x470b0950 (LWP 26152)]
[Thread 0x470b0950 (LWP 26152) exited]
[New Thread 0x470b0950 (LWP 26203)]
[Thread 0x470b0950 (LWP 26203) exited]
[New Thread 0x470b0950 (LWP 26246)]
[Thread 0x470b0950 (LWP 26246) exited]
[New Thread 0x470b0950 (LWP 26388)]
[Thread 0x470b0950 (LWP 26388) exited]
[New Thread 0x470b0950 (LWP 26886)]
[Thread 0x470b0950 (LWP 26886) exited]
[New Thread 0x470b0950 (LWP 26952)]
[Thread 0x470b0950 (LWP 26952) exited]
[New Thread 0x470b0950 (LWP 27071)]
[Thread 0x470b0950 (LWP 27071) exited]
[New Thread 0x470b0950 (LWP 27079)]
[Thread 0x470b0950 (LWP 27079) exited]
[New Thread 0x470b0950 (LWP 27123)]
[Thread 0x470b0950 (LWP 27123) exited]
[New Thread 0x470b0950 (LWP 27190)]
[Thread 0x470b0950 (LWP 27190) exited]
[New Thread 0x470b0950 (LWP 27396)]
[Thread 0x470b0950 (LWP 27396) exited]
[New Thread 0x470b0950 (LWP 27411)]
[Thread 0x470b0950 (LWP 27411) exited]
[New Thread 0x470b0950 (LWP 27412)]
[Thread 0x470b0950 (LWP 27412) exited]
[New Thread 0x470b0950 (LWP 27455)]
[Thread 0x470b0950 (LWP 27455) exited]
[New Thread 0x470b0950 (LWP 27521)]
[Thread 0x470b0950 (LWP 27521) exited]
[New Thread 0x470b0950 (LWP 27571)]
[Thread 0x470b0950 (LWP 27571) exited]
[New Thread 0x470b0950 (LWP 27624)]
[Thread 0x470b0950 (LWP 27624) exited]
[New Thread 0x470b0950 (LWP 27679)]
[Thread 0x470b0950 (LWP 27679) exited]
[New Thread 0x470b0950 (LWP 27768)]
[Thread 0x470b0950 (LWP 27768) exited]
[New Thread 0x470b0950 (LWP 27773)]
[Thread 0x470b0950 (LWP 27773) exited]
[New Thread 0x470b0950 (LWP 27774)]
[Thread 0x470b0950 (LWP 27774) exited]
[New Thread 0x470b0950 (LWP 27788)]
[Thread 0x470b0950 (LWP 27788) exited]
[New Thread 0x470b0950 (LWP 27824)]
[New Thread 0x45cae950 (LWP 27846)]
[New Thread 0x466af950 (LWP 27847)]
[New Thread 0x434aa950 (LWP 27848)]
[Thread 0x45cae950 (LWP 27846) exited]
[Thread 0x466af950 (LWP 27847) exited]
[Thread 0x434aa950 (LWP 27848) exited]
[Thread 0x470b0950 (LWP 27824) exited]
[New Thread 0x470b0950 (LWP 27858)]
[New Thread 0x434aa950 (LWP 27859)]
[Thread 0x434aa950 (LWP 27859) exited]
[New Thread 0x434aa950 (LWP 27860)]
[Thread 0x470b0950 (LWP 27858) exited]
[New Thread 0x470b0950 (LWP 27861)]
[New Thread 0x466af950 (LWP 27862)]
[Thread 0x466af950 (LWP 27862) exited]
[Thread 0x470b0950 (LWP 27861) exited]
[New Thread 0x470b0950 (LWP 27863)]
[Thread 0x470b0950 (LWP 27863) exited]
[New Thread 0x470b0950 (LWP 27864)]
[New Thread 0x466af950 (LWP 27865)]
[Thread 0x434aa950 (LWP 27860) exited]
[Thread 0x466af950 (LWP 27865) exited]
[New Thread 0x466af950 (LWP 27866)]
[Thread 0x470b0950 (LWP 27864) exited]
[New Thread 0x470b0950 (LWP 27867)]
[Thread 0x466af950 (LWP 27866) exited]
[New Thread 0x466af950 (LWP 27872)]
[New Thread 0x434aa950 (LWP 27873)]
[Thread 0x434aa950 (LWP 27873) exited]
[New Thread 0x434aa950 (LWP 27875)]
[Thread 0x466af950 (LWP 27872) exited]
[New Thread 0x466af950 (LWP 27879)]
[Thread 0x466af950 (LWP 27879) exited]
[Thread 0x434aa950 (LWP 27875) exited]
[Thread 0x470b0950 (LWP 27867) exited]
[New Thread 0x470b0950 (LWP 27906)]
[Thread 0x470b0950 (LWP 27906) exited]
[New Thread 0x470b0950 (LWP 27910)]
[Thread 0x470b0950 (LWP 27910) exited]
[New Thread 0x470b0950 (LWP 27919)]
[Thread 0x470b0950 (LWP 27919) exited]
[New Thread 0x470b0950 (LWP 27926)]
[Thread 0x470b0950 (LWP 27926) exited]
[New Thread 0x470b0950 (LWP 27948)]
[Thread 0x470b0950 (LWP 27948) exited]
[New Thread 0x470b0950 (LWP 28066)]
[Thread 0x470b0950 (LWP 28066) exited]
[New Thread 0x470b0950 (LWP 28073)]
[New Thread 0x434aa950 (LWP 28076)]
[Thread 0x470b0950 (LWP 28073) exited]
[New Thread 0x470b0950 (LWP 28077)]
[Thread 0x434aa950 (LWP 28076) exited]
[Thread 0x470b0950 (LWP 28077) exited]
[New Thread 0x470b0950 (LWP 28080)]
[Thread 0x470b0950 (LWP 28080) exited]
[New Thread 0x470b0950 (LWP 28115)]
[Thread 0x470b0950 (LWP 28115) exited]
[New Thread 0x470b0950 (LWP 28436)]
[Thread 0x470b0950 (LWP 28436) exited]
[New Thread 0x470b0950 (LWP 29013)]
[Thread 0x470b0950 (LWP 29013) exited]
[New Thread 0x470b0950 (LWP 29014)]
[Thread 0x470b0950 (LWP 29014) exited]
[New Thread 0x470b0950 (LWP 29270)]
[Thread 0x470b0950 (LWP 29270) exited]
[New Thread 0x470b0950 (LWP 29303)]
[Thread 0x470b0950 (LWP 29303) exited]
[New Thread 0x470b0950 (LWP 29387)]
[Thread 0x470b0950 (LWP 29387) exited]
[New Thread 0x470b0950 (LWP 29390)]
[Thread 0x470b0950 (LWP 29390) exited]
[New Thread 0x470b0950 (LWP 29618)]
[Thread 0x470b0950 (LWP 29618) exited]
[New Thread 0x470b0950 (LWP 29652)]
[Thread 0x470b0950 (LWP 29652) exited]
[New Thread 0x470b0950 (LWP 29795)]
[Thread 0x470b0950 (LWP 29795) exited]
[New Thread 0x470b0950 (LWP 30459)]
[Thread 0x470b0950 (LWP 30459) exited]
[New Thread 0x470b0950 (LWP 30482)]
[Thread 0x470b0950 (LWP 30482) exited]
[New Thread 0x470b0950 (LWP 30693)]
[New Thread 0x434aa950 (LWP 30696)]
[Thread 0x434aa950 (LWP 30696) exited]
[Thread 0x470b0950 (LWP 30693) exited]
[New Thread 0x470b0950 (LWP 30924)]
[Thread 0x470b0950 (LWP 30924) exited]
[New Thread 0x470b0950 (LWP 30949)]
[Thread 0x470b0950 (LWP 30949) exited]
[New Thread 0x470b0950 (LWP 31035)]
[New Thread 0x434aa950 (LWP 31036)]
[Thread 0x470b0950 (LWP 31035) exited]
[Thread 0x434aa950 (LWP 31036) exited]
[New Thread 0x434aa950 (LWP 31042)]
[Thread 0x434aa950 (LWP 31042) exited]
[New Thread 0x434aa950 (LWP 31076)]
[Thread 0x434aa950 (LWP 31076) exited]
[New Thread 0x434aa950 (LWP 31812)]
[Thread 0x434aa950 (LWP 31812) exited]
[New Thread 0x434aa950 (LWP 32293)]
[Thread 0x434aa950 (LWP 32293) exited]
[New Thread 0x434aa950 (LWP 32305)]
[Thread 0x434aa950 (LWP 32305) exited]
[New Thread 0x434aa950 (LWP 32313)]
[Thread 0x434aa950 (LWP 32313) exited]
[New Thread 0x434aa950 (LWP 32374)]
[Thread 0x434aa950 (LWP 32374) exited]
[New Thread 0x434aa950 (LWP 32383)]
[Thread 0x434aa950 (LWP 32383) exited]
[New Thread 0x434aa950 (LWP 32544)]
[Thread 0x434aa950 (LWP 32544) exited]
[New Thread 0x434aa950 (LWP 32558)]
[Thread 0x434aa950 (LWP 32558) exited]
[New Thread 0x434aa950 (LWP 32576)]
[Thread 0x434aa950 (LWP 32576) exited]
[New Thread 0x434aa950 (LWP 32579)]
[New Thread 0x470b0950 (LWP 32580)]
[Thread 0x470b0950 (LWP 32580) exited]
[Thread 0x434aa950 (LWP 32579) exited]
[New Thread 0x434aa950 (LWP 32602)]
[Thread 0x434aa950 (LWP 32602) exited]
[New Thread 0x434aa950 (LWP 32647)]
[New Thread 0x470b0950 (LWP 32650)]
[Thread 0x434aa950 (LWP 32647) exited]
[Thread 0x470b0950 (LWP 32650) exited]
[New Thread 0x470b0950 (LWP 32681)]
[Thread 0x470b0950 (LWP 32681) exited]
[New Thread 0x470b0950 (LWP 32709)]
The program 'firefox' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadIDChoice (invalid resource ID chosen for this connection)'.
  (Details: serial 65932312 error_code 14 request_code 152 minor_code 4)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
[Thread 0x470b0950 (LWP 32709) exited]
[Thread 0x452ad950 (LWP 14942) exited]
[Thread 0x448ac950 (LWP 14890) exited]
[Thread 0x43eab950 (LWP 14889) exited]
[Thread 0x420a8950 (LWP 14886) exited]
[Thread 0x42aa9950 (LWP 14887) exited]

Program exited with code 01.
Missing separate debuginfos, use: debuginfo-install gvfs.x86_64 hal.x86_64 libbeagle.x86_64
(gdb) thread apply all backtrace
No registers.
(gdb) 


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 5 c.h. 2008-08-13 11:29:15 EDT
Crash log / backtrace

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
date ; firefox -g --sync -d ddd

Wed Aug 13 06:57:41 PDT 2008
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.0.1
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1/plugins:/usr/lib64/firefox-3.0.1
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.0.1/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1
     LIBRARY_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1/components:/usr/lib64/firefox-3.0.1
       SHLIB_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1
          LIBPATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1
       ADDON_PATH=/usr/lib64/firefox-3.0.1
      MOZ_PROGRAM=/usr/lib64/firefox-3.0.1/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=ddd
/usr/bin/ddd --debugger "gdb -x /tmp/mozargs.iEVwyl" /usr/lib64/firefox-3.0.1/firefox
Warning: XmStringGetNextComponent: unknown type 31679872

(Annoyed?  Try 'Edit->Preferences->General->Suppress X Warnings'!)
Warning: XmStringGetNextComponent: unknown type 31677776

Warning: XmStringGetNextComponent: unknown type 31681600

Warning: XmStringGetNextComponent: unknown type 31678944

Warning: XmStringGetNextComponent: unknown type 31676352

Warning: XmStringGetNextComponent: unknown type 31626576

Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XCheckIfEvent+0x79) [0x37bee1e799]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#8 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XCheckIfEvent+0x152) [0x37bee1e872]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#5 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6 [0x37bee4cd4f]
#4 /usr/lib64/libX11.so.6 [0x37bee4d0c5]
#5 /usr/lib64/libX11.so.6(XIfEvent+0x94) [0x37bee2bb04]
#6 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#7 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#8 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#9 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#10 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#11 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#12 /usr/lib64/libXt.so.6 [0x37ce24c478]
#13 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#14 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#15 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#16 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#17 /usr/bin/ddd [0x4167f2]
#18 /usr/bin/ddd [0x4d6685]
#19 /usr/bin/ddd [0x42624d]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XIfEvent+0xe0) [0x37bee2bb50]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#5 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XCheckIfEvent+0x79) [0x37bee1e799]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#8 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XCheckIfEvent+0x152) [0x37bee1e872]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#5 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6 [0x37bee4cd4f]
#4 /usr/lib64/libX11.so.6 [0x37bee4d0c5]
#5 /usr/lib64/libX11.so.6(XIfEvent+0x94) [0x37bee2bb04]
#6 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#7 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#8 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#9 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#10 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#11 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#12 /usr/lib64/libXt.so.6 [0x37ce24c478]
#13 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#14 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#15 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#16 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#17 /usr/bin/ddd [0x4167f2]
#18 /usr/bin/ddd [0x4d6685]
#19 /usr/bin/ddd [0x42624d]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XIfEvent+0xe0) [0x37bee2bb50]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#5 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]



GNU DDD 3.3.11 (x86_64-redhat-linux-gnu), by Dorothea Lütkehaus and Andreas Zeller.
Copyright © 1995-1999 Technische Universität Braunschweig, Germany.
Copyright © 1999-2001 Universität Passau, Germany.
Copyright © 2001 Universität des Saarlandes, Germany.
Copyright © 2001-2004 Free Software Foundation, Inc.
(gdb) run
[Thread debugging using libthread_db enabled]
[New Thread 0x7f9d00a14700 (LWP 364)]
[New Thread 0x4103f950 (LWP 367)]
[New Thread 0x41a40950 (LWP 368)]
[New Thread 0x42441950 (LWP 369)]
[New Thread 0x42e42950 (LWP 370)]
[New Thread 0x43843950 (LWP 371)]
[New Thread 0x44244950 (LWP 372)]
[Thread 0x44244950 (LWP 372) exited]
[New Thread 0x44244950 (LWP 373)]
[New Thread 0x44c45950 (LWP 511)]
[New Thread 0x45646950 (LWP 515)]
[Thread 0x44c45950 (LWP 511) exited]
[New Thread 0x46047950 (LWP 555)]
[New Thread 0x46a48950 (LWP 556)]
[Thread 0x42441950 (LWP 369) exited]
[Thread 0x46a48950 (LWP 556) exited]
[New Thread 0x42441950 (LWP 596)]
[New Thread 0x46a48950 (LWP 613)]
[Thread 0x46047950 (LWP 555) exited]
[New Thread 0x47449950 (LWP 618)]
[New Thread 0x47e4a950 (LWP 619)]
[New Thread 0x4884b950 (LWP 620)]
[Thread 0x42441950 (LWP 596) exited]
[Thread 0x47e4a950 (LWP 619) exited]
[Thread 0x46a48950 (LWP 613) exited]
[Thread 0x47449950 (LWP 618) exited]
[New Thread 0x46047950 (LWP 679)]
[Thread 0x4884b950 (LWP 620) exited]
[Thread 0x45646950 (LWP 515) exited]
[New Thread 0x4884b950 (LWP 771)]
[Thread 0x46047950 (LWP 679) exited]
[New Thread 0x46047950 (LWP 1016)]
[Thread 0x4884b950 (LWP 771) exited]
[New Thread 0x4884b950 (LWP 1036)]
[New Thread 0x45646950 (LWP 1037)]
[Thread 0x46047950 (LWP 1016) exited]
[Thread 0x4884b950 (LWP 1036) exited]
[New Thread 0x46047950 (LWP 1426)]
[Thread 0x46047950 (LWP 1426) exited]
[Thread 0x45646950 (LWP 1037) exited]
[New Thread 0x45646950 (LWP 2895)]
[New Thread 0x46047950 (LWP 3121)]
[Thread 0x45646950 (LWP 2895) exited]
[Thread 0x46047950 (LWP 3121) exited]
[New Thread 0x46047950 (LWP 4805)]
[New Thread 0x44c45950 (LWP 5006)]
[Thread 0x46047950 (LWP 4805) exited]
[New Thread 0x46047950 (LWP 5017)]
[Thread 0x46047950 (LWP 5017) exited]
[New Thread 0x46047950 (LWP 5034)]
[New Thread 0x45646950 (LWP 5035)]
[New Thread 0x4884b950 (LWP 5036)]
[Thread 0x44c45950 (LWP 5006) exited]
[Thread 0x46047950 (LWP 5034) exited]
[Thread 0x45646950 (LWP 5035) exited]
[New Thread 0x44c45950 (LWP 5046)]
[Thread 0x4884b950 (LWP 5036) exited]
The program 'firefox' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadIDChoice (invalid resource ID chosen for this connection)'.
  (Details: serial 44298897 error_code 14 request_code 152 minor_code 4)
  thread apply all backtrace(Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
[Thread 0x44c45950 (LWP 5046) exited]
[Thread 0x44244950 (LWP 373) exited]
[Thread 0x43843950 (LWP 371) exited]
[Thread 0x42e42950 (LWP 370) exited]
[Thread 0x41a40950 (LWP 368) exited]
[Thread 0x4103f950 (LWP 367) exited]

Program exited with code 01.
Missing separate debuginfos, use: debuginfo-install acl.x86_64 attr.x86_64 gamin.x86_64 keyutils.x86_64
(gdb) Undefined command: "_64".  Try "help".
(gdb) 


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 6 c.h. 2008-08-13 11:56:45 EDT
Crash log / backtrace

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
$ clear ; date ; ~/bin/fdebug.sh

Wed Aug 13 07:45:31 PDT 2008
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.0.1
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1/plugins:/usr/lib64/firefox-3.0.1
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.0.1/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1
     LIBRARY_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1/components:/usr/lib64/firefox-3.0.1
       SHLIB_PATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1
          LIBPATH=/usr/lib64/firefox-3.0.1:/usr/lib64/firefox-3.0.1
       ADDON_PATH=/usr/lib64/firefox-3.0.1
      MOZ_PROGRAM=/usr/lib64/firefox-3.0.1/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=ddd
/usr/bin/ddd --debugger "gdb -x /tmp/mozargs.ACwC3J" /usr/lib64/firefox-3.0.1/firefox
Warning: XmStringGetNextComponent: unknown type 48760944

(Annoyed?  Try 'Edit->Preferences->General->Suppress X Warnings'!)
Warning: XmStringGetNextComponent: unknown type 48757808

Warning: XmStringGetNextComponent: unknown type 48746864

Warning: XmStringGetNextComponent: unknown type 48757824

Warning: XmStringGetNextComponent: unknown type 48757536

Warning: XmStringGetNextComponent: unknown type 48773344

Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XCheckIfEvent+0x79) [0x37bee1e799]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#8 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XCheckIfEvent+0x152) [0x37bee1e872]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#5 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6 [0x37bee4cd4f]
#4 /usr/lib64/libX11.so.6 [0x37bee4d0c5]
#5 /usr/lib64/libX11.so.6(XIfEvent+0x94) [0x37bee2bb04]
#6 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#7 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#8 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#9 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#10 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#11 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#12 /usr/lib64/libXt.so.6 [0x37ce24c478]
#13 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#14 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#15 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#16 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#17 /usr/bin/ddd [0x4167f2]
#18 /usr/bin/ddd [0x4d6685]
#19 /usr/bin/ddd [0x42624d]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XIfEvent+0xe0) [0x37bee2bb50]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#5 /usr/lib64/libXm.so.2(XmClipboardInquireLength+0x10b) [0x3ff6a8232b]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x165) [0x3ff6aee395]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XCheckIfEvent+0x79) [0x37bee1e799]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#8 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XCheckIfEvent+0x152) [0x37bee1e872]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81e11]
#5 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6 [0x37bee4cd4f]
#4 /usr/lib64/libX11.so.6 [0x37bee4d0c5]
#5 /usr/lib64/libX11.so.6(XIfEvent+0x94) [0x37bee2bb04]
#6 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#7 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#8 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#9 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#10 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#11 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#12 /usr/lib64/libXt.so.6 [0x37ce24c478]
#13 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#14 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#15 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#16 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#17 /usr/bin/ddd [0x4167f2]
#18 /usr/bin/ddd [0x4d6685]
#19 /usr/bin/ddd [0x42624d]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x37bf600af7]
#2 /usr/lib64/libX11.so.6 [0x37bee4c610]
#3 /usr/lib64/libX11.so.6(XFindContext+0x26) [0x37bee1fbd6]
#4 /usr/lib64/libXm.so.2(XmInternAtom+0x68) [0x3ff6a75058]
#5 /usr/lib64/libXm.so.2 [0x3ff6a7fd6a]
#6 /usr/lib64/libX11.so.6(XIfEvent+0x6d) [0x37bee2badd]
#7 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#8 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#9 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#10 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#11 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#12 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#13 /usr/lib64/libXt.so.6 [0x37ce24c478]
#14 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#15 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#16 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#17 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#18 /usr/bin/ddd [0x4167f2]
#19 /usr/bin/ddd [0x4d6685]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x37bf60097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x37bf600a34]
#2 /usr/lib64/libX11.so.6 [0x37bee4c530]
#3 /usr/lib64/libX11.so.6(XIfEvent+0xe0) [0x37bee2bb50]
#4 /usr/lib64/libXm.so.2 [0x3ff6a81ea5]
#5 /usr/lib64/libXm.so.2(XmClipboardRetrieve+0x1ad) [0x3ff6a8207d]
#6 /usr/lib64/libXm.so.2(XmTextPaste+0x1b1) [0x3ff6aee3e1]
#7 /usr/lib64/libXt.so.6(XtCallCallbackList+0x17f) [0x37ce2139ff]
#8 /usr/lib64/libXm.so.2 [0x3ff6ac5312]
#9 /usr/lib64/libXt.so.6 [0x37ce24c1cd]
#10 /usr/lib64/libXt.so.6 [0x37ce24c478]
#11 /usr/lib64/libXt.so.6(_XtTranslateEvent+0x606) [0x37ce24cc56]
#12 /usr/lib64/libXt.so.6(XtDispatchEventToWidget+0x615) [0x37ce222265]
#13 /usr/lib64/libXt.so.6 [0x37ce2228ff]
#14 /usr/lib64/libXt.so.6(XtDispatchEvent+0xb1) [0x37ce221801]
#15 /usr/bin/ddd [0x4167f2]
#16 /usr/bin/ddd [0x4d6685]
#17 /usr/bin/ddd [0x42624d]
#18 /lib64/libc.so.6(__libc_start_main+0xfa) [0x37bca1e32a]
#19 /usr/bin/ddd(_ZNSt8ios_base4InitD1Ev+0x51) [0x40c819]

GNU DDD 3.3.11 (x86_64-redhat-linux-gnu), by Dorothea Lütkehaus and Andreas Zeller.
Copyright © 1995-1999 Technische Universität Braunschweig, Germany.
Copyright © 1999-2001 Universität Passau, Germany.
Copyright © 2001 Universität des Saarlandes, Germany.
Copyright © 2001-2004 Free Software Foundation, Inc.
(gdb) run
[Thread debugging using libthread_db enabled]
[New Thread 0x7f4f0edc6700 (LWP 5144)]
[New Thread 0x41dd1950 (LWP 5147)]
[New Thread 0x427d2950 (LWP 5148)]
[New Thread 0x41296950 (LWP 5149)]
[New Thread 0x431d3950 (LWP 5150)]
[New Thread 0x43bd4950 (LWP 5151)]
[New Thread 0x445d5950 (LWP 5153)]
[New Thread 0x44fd6950 (LWP 5227)]
[New Thread 0x459d7950 (LWP 5232)]
[Thread 0x41296950 (LWP 5149) exited]
[Thread 0x44fd6950 (LWP 5227) exited]
[New Thread 0x41296950 (LWP 5247)]
[New Thread 0x44fd6950 (LWP 5263)]
[Thread 0x44fd6950 (LWP 5263) exited]
[New Thread 0x44fd6950 (LWP 5309)]
[New Thread 0x463d8950 (LWP 5310)]
[New Thread 0x46dd9950 (LWP 5311)]
[Thread 0x459d7950 (LWP 5232) exited]
[Thread 0x463d8950 (LWP 5310) exited]
[Thread 0x44fd6950 (LWP 5309) exited]
[Thread 0x41296950 (LWP 5247) exited]
[New Thread 0x41296950 (LWP 5339)]
[Thread 0x41296950 (LWP 5339) exited]
[New Thread 0x459d7950 (LWP 5342)]
[Thread 0x46dd9950 (LWP 5311) exited]
[New Thread 0x46dd9950 (LWP 5357)]
[New Thread 0x41296950 (LWP 5361)]
[Thread 0x46dd9950 (LWP 5357) exited]
[New Thread 0x46dd9950 (LWP 5384)]
[Thread 0x46dd9950 (LWP 5384) exited]
[New Thread 0x463d8950 (LWP 5396)]
[New Thread 0x44fd6950 (LWP 5397)]
[Thread 0x463d8950 (LWP 5396) exited]
[Thread 0x459d7950 (LWP 5342) exited]
[New Thread 0x463d8950 (LWP 5425)]
[Thread 0x463d8950 (LWP 5425) exited]
[Thread 0x41296950 (LWP 5361) exited]
[New Thread 0x41296950 (LWP 5478)]
[Thread 0x44fd6950 (LWP 5397) exited]
[New Thread 0x44fd6950 (LWP 5514)]
[Thread 0x44fd6950 (LWP 5514) exited]
[New Thread 0x44fd6950 (LWP 5567)]
[Thread 0x44fd6950 (LWP 5567) exited]
[New Thread 0x44fd6950 (LWP 5624)]
[Thread 0x41296950 (LWP 5478) exited]
[New Thread 0x41296950 (LWP 5961)]
[Thread 0x44fd6950 (LWP 5624) exited]
[New Thread 0x44fd6950 (LWP 5993)]
[New Thread 0x463d8950 (LWP 5994)]
[Thread 0x463d8950 (LWP 5994) exited]
[Thread 0x41296950 (LWP 5961) exited]
[New Thread 0x463d8950 (LWP 6114)]
[Thread 0x44fd6950 (LWP 5993) exited]
[New Thread 0x44fd6950 (LWP 6162)]
[Thread 0x44fd6950 (LWP 6162) exited]
[New Thread 0x44fd6950 (LWP 6231)]
[Thread 0x44fd6950 (LWP 6231) exited]
[New Thread 0x44fd6950 (LWP 6292)]
[Thread 0x463d8950 (LWP 6114) exited]
[New Thread 0x463d8950 (LWP 6296)]
[New Thread 0x41296950 (LWP 6297)]
[New Thread 0x459d7950 (LWP 6298)]
[Thread 0x41296950 (LWP 6297) exited]
[Thread 0x463d8950 (LWP 6296) exited]
[Thread 0x44fd6950 (LWP 6292) exited]
[New Thread 0x41296950 (LWP 6443)]
[New Thread 0x463d8950 (LWP 6444)]
[Thread 0x459d7950 (LWP 6298) exited]
[Thread 0x41296950 (LWP 6443) exited]
[Thread 0x463d8950 (LWP 6444) exited]
[New Thread 0x463d8950 (LWP 6741)]
[Thread 0x463d8950 (LWP 6741) exited]
[New Thread 0x463d8950 (LWP 7821)]
[Thread 0x463d8950 (LWP 7821) exited]
[New Thread 0x463d8950 (LWP 8426)]
[New Thread 0x459d7950 (LWP 8429)]
[Thread 0x463d8950 (LWP 8426) exited]
[Thread 0x459d7950 (LWP 8429) exited]
[New Thread 0x459d7950 (LWP 8648)]
[Thread 0x459d7950 (LWP 8648) exited]
The program 'firefox' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadIDChoice (invalid resource ID chosen for this connection)'.
  (Details: serial 51205186 error_code 14 request_code 152 minor_code 4)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
[Thread 0x445d5950 (LWP 5153) exited]
[Thread 0x43bd4950 (LWP 5151) exited]
[Thread 0x431d3950 (LWP 5150) exited]
[Thread 0x41dd1950 (LWP 5147) exited]
[Thread 0x427d2950 (LWP 5148) exited]

Program exited with code 01.
Missing separate debuginfos, use: debuginfo-install acl.x86_64 attr.x86_64 gamin.x86_64 keyutils.x86_64
(gdb) thread apply all backtrace


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 7 Matěj Cepl 2008-09-01 07:02:18 EDT
Could you please NOT use ddd? The resulting backtraces are useless. Just fix all debuginfos and use just firefox -g. That's enough.
Comment 8 c. h. 2008-09-09 23:42:07 EDT
Ok I'm trying to do that, however it is automatically launching DDD when I run 
the command: 
firefox -g --sync
so I'm not quite sure that it will have the effect you seem to be seeking of not using DDD.  Is there something different that I should be doing?  Did it 'cache' my previous use of DDD as a debugger and is now acting differently than default?


I did finally get enough debuginfos installed to locate and breakpoint gdk_x_error(); we'll see what happens.
Comment 9 c. h. 2008-09-11 00:33:32 EDT
Created attachment 316397 [details]
Every available text output from most recent crash 2008-09-10-21-28
Comment 10 c. h. 2008-09-11 00:34:35 EDT
Created attachment 316398 [details]
Every available screenshot output from most recent crash 2008-09-10-21-28
Comment 11 c. h. 2008-09-11 00:41:00 EDT
2008-09-10-21-28
Thank you for your help in tracking down this bug.  As requested I've now posted resultant crash data using the suggested revised invocation techniques.

I've added two attachments, a text log file of how the program was run, the standard error / standard output on the terminal, the DDD debugger text showing the commands used during execution and the resultant output.
As may be seen from the log / screenshot, GDB terminated during / shortly after the backtrace command was entered.  Thus continued debugging / tracing of this session is impossible.  Also noted during DDD's run when the gdk_x_error() function breakpoint was hit, DDD was unable to find either the arguments / stack frame or the local variables for that function though it did display the source code, the breakpoint, and was able to step a line into the function.  I'm unsure why it behaved that way.

If you would like additional debug techniques used to gather other / different results please advise as to how I may better invoke the program and use the debugger to obtain any desirable more comprehensive data.
Comment 12 c. h. 2008-09-11 00:46:38 EDT
2008-09-10-21-28
PS at the time of the crash I believe I had somewhere around 69 windows open with each window having somewhere between 1 to 20+ tabs open with the average tabs/window probably in the range of 8.
I had been running the firefox session on and off for approximately the last 12 hours making somewhat light use of it overall, and having very little actually happening at the time it crashed.  When I last observed "top" output firefox had a resident memory size of around 1.4GBy on a machine with 8GBy RAM, actually much less than I have often seen it on other occasions.
No videos / sound / flash were playing / enabled AFAIK.
Comment 13 c. h. 2008-09-11 19:37:25 EDT
Created attachment 316501 [details]
2008-09-11-16-00-000 textual information relating to crash

2008-09-11-16-00-000
Hereafter I am including more attached text files and screen shots showing another case of the crash and backtrace of firefox.
Comment 14 c. h. 2008-09-11 19:39:12 EDT
Created attachment 316502 [details]
2008-09-11-16-00-000-Screenshot-A.png

2008-09-11-16-00-000
Hereafter I am including more attached text files and screen shots showing another case of the crash and backtrace of firefox.
Comment 15 c. h. 2008-09-11 20:04:00 EDT
Created attachment 316504 [details]
2008-09-11-16-00-000-Screenshot-B.png

2008-09-11-16-00-000
Hereafter I am including more attached text files and screen shots showing
another case of the crash and backtrace of firefox.
Comment 16 c. h. 2008-09-11 20:04:43 EDT
Created attachment 316505 [details]
2008-09-11-16-00-000-Screenshot-C.png

2008-09-11-16-00-000
Hereafter I am including more attached text files and screen shots showing
another case of the crash and backtrace of firefox.
Comment 17 c. h. 2008-09-11 20:14:17 EDT
2008-09-11-16-00-000
Concerning the most recently documented crash, approximately 78 windows with a total of approximately 447 tabs were open.

The crash happened as I clicked the right mouse button over an image to bring up the menu for "save image".  There is no real correlation between my user interface actions and the crashes.  Sometimes it will crash when I'm doing nothing.  Sometimes when I'm switching tabs.  Sometimes when I do a variety of other UI actions.
Comment 18 c. h. 2008-09-13 02:26:37 EDT
Created attachment 316648 [details]
2008-09-12-22-40 textual information relating to crash
Comment 19 c. h. 2008-09-13 02:28:30 EDT
Created attachment 316649 [details]
2008-09-12-22-40 images of debugger information relating to crash
Comment 20 c. h. 2008-09-13 02:29:22 EDT
Created attachment 316650 [details]
2008-09-12-22-40 images of debugger information relating to crash  Screenshot-B
Comment 21 c. h. 2008-09-13 02:29:57 EDT
Created attachment 316651 [details]
2008-09-12-22-40 images of debugger information relating to crash  Screenshot-C
Comment 22 c. h. 2008-09-13 02:30:34 EDT
Created attachment 316652 [details]
2008-09-12-22-40 images of debugger information relating to crash  Screenshot-D
Comment 23 c. h. 2008-09-14 04:10:00 EDT
Created attachment 316682 [details]
2008-09-14-12-30 textual information relating to crash
Comment 24 c. h. 2008-09-14 04:56:07 EDT
Created attachment 316685 [details]
2008-09-14-12-30 images of debugger information relating to crash Screenshot-A
Comment 25 c. h. 2008-09-14 04:57:00 EDT
Created attachment 316686 [details]
2008-09-14-12-30 images of debugger information relating to crash Screenshot-B
Comment 26 c. h. 2008-09-14 04:57:40 EDT
Created attachment 316687 [details]
2008-09-14-12-30 images of debugger information relating to crash Screenshot-C
Comment 27 c. h. 2008-09-14 04:58:28 EDT
Created attachment 316688 [details]
2008-09-14-12-30 images of debugger information relating to crash Screenshot-D
Comment 28 Jan Kratochvil 2008-09-14 14:06:10 EDT
(In reply to comment #7)
> Could you please NOT use ddd? The resulting backtraces are useless.

The backtraces should not be related to DDD, it is just a frontend.

> Just fix all debuginfos and use just firefox -g. That's enough.

Mozilla itself prefers DDD over GDB if it finds it installed.  Use `-d gdb' if you really want it.
Comment 29 c. h. 2008-09-15 08:01:29 EDT
Created attachment 316730 [details]
2008-09-14-20-38 textual information relating to crash
Comment 30 c. h. 2008-09-15 08:38:16 EDT
Created attachment 316739 [details]
2008-09-14-20-38-images of debugger information relating to crash Screenshot-A
Comment 31 c. h. 2008-09-15 08:38:57 EDT
Created attachment 316740 [details]
2008-09-14-20-38-images of debugger information relating to crash Screenshot-B
Comment 32 c. h. 2008-09-15 08:39:32 EDT
Created attachment 316741 [details]
2008-09-14-20-38-images of debugger information relating to crash Screenshot-C
Comment 33 c. h. 2008-09-15 08:40:10 EDT
Created attachment 316743 [details]
2008-09-14-20-38-images of debugger information relating to crash Screenshot-D
Comment 34 c. h. 2008-09-15 08:41:05 EDT
Created attachment 316744 [details]
2008-09-14-20-38-images of debugger information relating to crash Screenshot-E
Comment 35 Martin Stransky 2009-01-19 03:30:44 EST
It's a crash in gvfs-0.2.5 package:

Program received signal SIGSEGV, Segmentation fault.
hal_pool_find_by_capability (pool=0x0, capability=0x7f5ed57f9b09 "storage") at hal-pool.c:450
Comment 36 Phil Smith 2009-01-23 07:22:53 EST
Looks like same for me.
A few crashes recently (approx every day with normal use of a few hours) on Fedora 10 with firefox-3.0.5-1.fc10.x86_64
Last time was with 1 window and about 130 tabs with this error:

The program 'firefox' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadIDChoice (invalid resource ID chosen for this connection)'.
  (Details: serial 42117700 error_code 14 request_code 148 minor_code 4)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Comment 37 D. Hugh Redelmeier 2009-02-16 02:00:51 EST
I get crashes with the BadIDChoice message every few days or so.  It has been happening for a long time.

I'm using firefox-3.0.6-1.fc10.x86_64 on Fedora 10.  No flash plugin (a common source of problems).

This problem seems to be the same as https://bugs.launchpad.net/ubuntu/+source/firefox-3.0/+bug/220628

That thread has some very interesting links in one of the comments https://bugs.launchpad.net/ubuntu/+source/firefox-3.0/+bug/220628/comments/24

In particular, the bug appears to be in libxcb.  I'm running libxcb-1.1.91-5.fc10.x86_64
Comment 38 D. Hugh Redelmeier 2009-02-21 17:53:50 EST
See also https://bugzilla.mozilla.org/show_bug.cgi?id=458092
Comment 39 D. Hugh Redelmeier 2009-02-22 15:45:49 EST
See the libxcb bugzilla entry https://bugs.freedesktop.org/show_bug.cgi?id=20254
Comment 40 D. Hugh Redelmeier 2009-04-03 23:26:58 EDT
Upstream libxcb has fixed this problem.

See what I wrote here: https://bugzilla.redhat.com/show_bug.cgi?id=486675#c10
Comment 41 D. Hugh Redelmeier 2009-04-06 14:13:29 EDT
See https://bugzilla.redhat.com/show_bug.cgi
Comment 42 D. Hugh Redelmeier 2009-04-06 14:17:14 EDT
Oops, wrong link.

See: https://bugzilla.redhat.com/show_bug.cgi?id=494091
Comment 43 Bug Zapper 2009-06-09 22:25:41 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 44 Bug Zapper 2009-07-14 13:21:50 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.